NeoDB is an open-source software and global community platform [since 2021](origin.md). It helps users to manage and explore collections, reviews, and ratings for various cultural products, including books, movies, music, podcasts, games, and performances. Additionally, users can share their collections, publish microblogs, and engage with others in the Fediverse. NeoDB integrates the functionalities of platforms like Goodreads, Letterboxd, RateYourMusic, and Podchaser, among others. It also supports self-hosting and interconnection through containerized deployment and the ActivityPub protocol.

This project is licensed under AGPLv3.


## How to Join

Free instances hosted by volunteers are available:

 - [NeoDB.social](https://neodb.social) - the flagship instance
 - [NeoDB experimental](https://eggplant.place) - an instance running the edge version of NeoDB software, which may include more features and potential bugs
 - [NiceDB](https://nicedb.org) - the original instance, running a legacy version and with limited registration.

While there is no mobile app for NeoDB yet, the web version functions well on mobile devices. You can also use [Mastodon compatible apps](https://joinmastodon.org/apps) to log in and utilize the microblogging features.

## Host your own instance

You can [install and run your own instance of NeoDB](install.md). If you decide to share your server with the public, please inform us so that we can add it to the list above.

All instances interact with each other in the Fediverse via ActivityPub, allowing you to follow users from other NeoDB instances or instances running other ActivityPub software, such as Mastodon.


## API, Development and Translation

 - NeoDB offers [APIs to manage user collections](api.md), and [Mastodon client compatible API](https://docs.joinmastodon.org/client/) to manage user posts.
 - For those interested in developing for NeoDB, please refer to the [development](development.md) section for basic instructions to get started.
 - To help translate NeoDB to more languages, please join [our project on Weblate](https://hosted.weblate.org/projects/neodb/)


## Donation

If you appreciate this project, please consider sponsoring us. Your support is essential to keep these services free and open-source.

 [![Kofi](https://img.shields.io/badge/Ko--Fi-Donate-orange?label=Support%20this%20project%20on%20Ko-fi&style=for-the-badge&color=ff5f5f&logo=ko-fi)](https://ko-fi.com/neodb)


## Feedback

Follow us on the Fediverse or join our Discord community to share your ideas, questions, or creations.

[![Mastodon](https://img.shields.io/mastodon/follow/106935434138389355?domain=https%3A%2F%2Fmastodon.online&style=for-the-badge&logo=mastodon&logoColor=fff&label=%40neodb%40mastodon.online&color=6D75D2)](https://mastodon.online/@neodb)
[![Mastodon](https://img.shields.io/mastodon/follow/106919732872456302?style=for-the-badge&logo=mastodon&logoColor=fff&label=%40neodb%40mastodon.social&color=6D75D2)](https://mastodon.social/@neodb)
[![Discord](https://img.shields.io/discord/1041738638364528710?label=Discord%20Community&logo=discord&logoColor=fff&color=6D75D2&style=for-the-badge&cacheSeconds=21600)](https://discord.gg/QBHkrV8bxK)
